﻿@inject IMetadataDictionary MetadataDictionary
@using Aoc2020_Blazor.Data

<div class="top-row pl-4 navbar navbar-dark">
    <span class="navbar-brand">
        🐷 AoC 2020 in Blazor
    </span>
    <button class="navbar-toggler" @onclick="ToggleNavMenu">
        <span class="navbar-toggler-icon"></span>
    </button>
</div>

<div class="@NavMenuCssClass" @onclick="ToggleNavMenu">
    <ul class="nav flex-column">
        <li class="nav-item px-1">
            <NavLink class="nav-link" href="" Match="NavLinkMatch.All">
                <span class="oi oi-home" aria-hidden="true"></span> Home
            </NavLink>
        </li>
        @foreach (var entry in _metaDict.Values)
        {
            <li class="nav-item px-1">
                <NavLink class="nav-link" href=@($"puzzles/day/{entry.Day}")>
                    <span class="oi oi-star" aria-hidden="true"></span> Day @entry.Day
                </NavLink>
            </li>
        }
        @*<li class="nav-item px-1">
            <NavLink class="nav-link" href="puzzles/day/01">
                <span class="oi oi-star" aria-hidden="true"></span> Day 01
            </NavLink>
        </li>
        <li class="nav-item px-1">
            <NavLink class="nav-link" href="puzzles/day/02">
                <span class="oi oi-star" aria-hidden="true"></span> Day 02
            </NavLink>
        </li>*@
    </ul>
</div>

@code {

    private bool collapseNavMenu = true;

    private string NavMenuCssClass => collapseNavMenu ? "collapse" : null;

    private void ToggleNavMenu()
    {
        collapseNavMenu = !collapseNavMenu;
    }

    private Dictionary<int, ProblemMetadata> _metaDict = new Dictionary<int, ProblemMetadata>()
    {
        [0] = new ProblemMetadata() { Day = 0, Title = "Loading…"  }
    };

    protected override async Task OnInitializedAsync()
    {
        await MetadataDictionary.Initialize();
        _metaDict = MetadataDictionary.Metadata;
        StateHasChanged();
    }



}
